Summary: Next generation panel for Xfce
Name: xfce4-panel
Version: 4.2.4
Release: 1%{?dist}
License: GPL
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.4/src/xfce4-panel-4.2.4.tar.gz
# Change default for Fedora
Patch0: panel-launchmail.patch
Patch1: panel-htmlview.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= %{version}
Requires: libxfce4mcs >= %{version}
Requires: xfce-mcs-manager >= %{version}
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: startup-notification-devel
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: gettext

%description
This package includes the panel for the Xfce desktop environment

%package devel
Summary: Development headers for xfce4-panel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes the header files you will need to build
plugins for xfce4-panel.

%prep
%setup -q
%patch0 -p1 -b .launchmail
%patch1 -p1 -b .htmlview

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/panel-plugins/*.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog NEWS NOTES COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/xdg/xfce4
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%lang(he) %{_datadir}/xfce4/doc/he/*
%{_libdir}/xfce4/panel-plugins/
%{_libdir}/xfce4/mcs-plugins/*.so
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*.png

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/xfce4

%changelog
* Wed Jun 20 2007 Christoph Wickert <fedora@christoph-wickert.de> - 4.2.4-1
- Update to 4.2.4
- Run gtk-update-icon-cache in %%post and %%postun

* Mon Jun  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-4
- Add gettext to BuildRequires (fixes #194139)

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- added imake and libXt-devel BuildRequires for modular xorg

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag
- Tweaked panel-htmlview patch to add - in translation

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1.1-4.fc4
- lowercase Release

* Thu Mar 24 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1.1-3.FC4
- Added htmlview patch
- Removed unneeded la/a files

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 4.2.1.1-2
- remove stuff

* Thu Mar 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1.1-1
- Updated to 4.2.1.1 version
- Changed Requires/Buildrequires to 4.2.1, as xfce4-panel was the only package updated to 4.2.1.1

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-4
- Fixed case of Xfce

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-3
- Created a new patch to change mozilla -mail to launchmail
- Moved the includes to the devel subpackage

* Thu Feb 03 2005 Than Ngo <than@redhat.com> 4.2.0-2
- new sub package xfce4-panel-devel

* Tue Jan 25 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 4.0.6-2 
- add patch to use lauchmail/htmlview #142160

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- remove some unneeded patch files

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 01 2004 Than Ngo <than@redhat.com> 4.0.5-4
- add buildrequires on startup-notification-devel, bug #124948
- use %%find_lang macros, bug #124948

* Mon May 31 2004 Than Ngo <than@redhat.com> 4.0.5-3
- own %%{_libdir}i/xfce4, bug #124826

* Mon Apr 26 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Change more defaults for fedora, use startup notification
  by default, remove "-splash" option from mozilla launcher. Thanks to Olivier Fourdan
- Patch to avoid crash at startup under some rare circumstances
- Change defaults for fedora

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build

